petsc-3.10.5 2019-03-28
Report Typos and Errors

# DMDASetInterpolationType

Sets the type of interpolation that will be returned by DMCreateInterpolation()

### Synopsis

    #include "petscdmda.h"
    PetscErrorCode  DMDASetInterpolationType(DM da,DMDAInterpolationType ctype)

Logically Collective on DMDA

### Input Parameter

| da | - initial distributed array
| ctype | - DMDA_Q1 and DMDA_Q0 are currently the only supported forms

### Notes

you should call this on the coarser of the two DMDAs you pass to DMCreateInterpolation()

### Keywords

distributed array, interpolation

### See Also

DMDACreate1d(), DMDACreate2d(), DMDACreate3d(), DMDestroy(), DMDA, DMDAInterpolationType

### Level

intermediate

### Location

src/dm/impls/da/da.c

### Examples

src/ksp/ksp/examples/tutorials/ex32.c.html
src/ksp/ksp/examples/tutorials/ex34.c.html
Index of all DMDA routines
Table of Contents for all manual pages
Index of all manual pages